Open Lighting Architecture: ola::rdm::StringMessageBuilder Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::StringMessageBuilder Class Reference

## Detailed Description

This visitor builds a message based on a vector of strings from a Descriptor.

Inheritance diagram for ola::rdm::StringMessageBuilder:

## Public Member Functions
| ~StringMessageBuilder ()
| Clean up.
bool | Descend () const
const ola::messaging::Message * | GetMessage (const std::vector< std::string > &inputs, const class ola::messaging::Descriptor *descriptor)
| Get the Message object that this Builder created.
const std::string | GetError () const
void | Visit (const ola::messaging::BoolFieldDescriptor *)
void | Visit (const ola::messaging::IPV4FieldDescriptor *)
void | Visit (const ola::messaging::MACFieldDescriptor *)
void | Visit (const ola::messaging::UIDFieldDescriptor *)
void | Visit (const ola::messaging::StringFieldDescriptor *)
void | Visit (const ola::messaging::UInt8FieldDescriptor *)
void | Visit (const ola::messaging::UInt16FieldDescriptor *)
void | Visit (const ola::messaging::UInt32FieldDescriptor *)
void | Visit (const ola::messaging::Int8FieldDescriptor *)
void | Visit (const ola::messaging::Int16FieldDescriptor *)
void | Visit (const ola::messaging::Int32FieldDescriptor *)
void | Visit (const ola::messaging::FieldDescriptorGroup *)
void | PostVisit (const ola::messaging::FieldDescriptorGroup *)

## Member Function Documentation

## ◆ Descend()

bool ola::rdm::StringMessageBuilder::Descend | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ GetMessage()

const ola::messaging::Message * ola::rdm::StringMessageBuilder::GetMessage | ( | const std::vector< std::string > & | inputs,
|  | const class ola::messaging::Descriptor * | descriptor )

Get the Message object that this Builder created.

This method is not re-entrant.

Parameters

  inputs | the string inputs provided to build the Message
  descriptor | the descriptor to use to build the Message

Returns
  a Message object, or NULL if the inputs failed.

## ◆ PostVisit()

void ola::rdm::StringMessageBuilder::PostVisit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

This is a no-op since we handle descending ourselves in Visit()

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::BoolFieldDescriptor * | descriptor | ) |
| virtual

Bool values can be true,false,0,1

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

Visit a group

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::Int16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::Int32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::Int8FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::IPV4FieldDescriptor * | descriptor | ) |
| virtual

IPV4 Addresses

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::MACFieldDescriptor * | descriptor | ) |
| virtual

MAC Addresses

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::StringFieldDescriptor * | descriptor | ) |
| virtual

Handle strings

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::UIDFieldDescriptor * | descriptor | ) |
| virtual

UIDs.

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::UInt16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::UInt32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::rdm::StringMessageBuilder::Visit | ( | const ola::messaging::UInt8FieldDescriptor * | descriptor | ) |
| virtual

uint8

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following files:

- include/ola/rdm/StringMessageBuilder.h
- common/rdm/StringMessageBuilder.cpp